package com.ydl.course.api

import android.app.Activity
import android.app.Application
import android.content.Context
import com.alibaba.android.arouter.facade.template.IProvider

/**
 * @author jiucheng
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2019/11/12
 */
interface ICourseService :IProvider {
    /**
     * 课程专题页面
     */
    fun courseTopic(activity: Activity, id : String)

    fun closePlayer()

    fun isPlaying(): Boolean

    fun startCoursePlayPage(activity: Activity, from : Int) //from 1表示通知栏点进来，2表示右上角快捷按钮

    fun play()

    fun pause()

    fun sendLoginStatusToFlutter()

    fun startMyCourseActivity(context: Context)

    fun startCoursePlayActivity(activity: Activity, courseId: Int, coursePlayUrl: String?, from: Int, mediaType: String?)

    fun startCourseCommentActivity(activity: Activity, courseId: String)

    fun startCourseReplyActivity(activity: Activity, courseId: String)

    fun initCoursePlayLifeCircle(application: Application)
}